#!/bin/bash
devname="/dev/md126"
mount_point="/tmp/pythontest"

#  __      __                                                  
# /\ \  __/\ \                          __                     
# \ \ \/\ \ \ \     __     _ __    ___ /\_\    ___      __     
#  \ \ \ \ \ \ \  /'__`\  /\`'__\/' _ `\/\ \ /' _ `\  /'_ `\   
#   \ \ \_/ \_\ \/\ \L\.\_\ \ \/ /\ \/\ \ \ \/\ \/\ \/\ \L\ \  
#    \ `\___x___/\ \__/.\_\\ \_\ \ \_\ \_\ \_\ \_\ \_\ \____ \ 
#     '\/__//__/  \/__/\/_/ \/_/  \/_/\/_/\/_/\/_/\/_/\/___L\ \
# 						        /\____/
# 						        \_/__/ 
# You are entering danger zone, make sure to test this in safe environment!
# Get familliar with scripts first!
# Drives are hardoded and might need adjustment!

umount $devname
mdadm -Ss
mdadm -CR $devname -l5 -n4 /dev/sd[b-e] --force --assume-clean # <-- NATIVE
mkfs.ext4 -F $devname

if [ ! -d "$mount_point" ]; then
    mkdir -p "$mount_point"
    echo "Mount point created: $mount_point"
else
    echo "Mount point already exists: $mount_point"
fi

mount $devname $mount_point
echo "Clearing mount point!"
rm -f "$mount_point/*"
mdadm --incremental --fail sdd
